X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Installation of Flash failed because of insufficient permission for a required file. Could you please tell me how do correct this?

Posted

I receved an installation error saying that there was a required file, which could not be written 'due to insufficient permissions.' I clicked on the Troubleshoot for Flash, but could not figure out how to find the file (C:\Windows/system32\Macromed\Flash\NPSWF32.dll:5) .

Additional System Details

Installed Plug-ins

  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Adobe PDF Plug-In For Firefox and Netscape 10.0.1
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Default Plug-in
  • iTunes Detector Plug-in
  • Picasa plugin
  • Next Generation Java Plug-in 1.6.0_24 for Mozilla browsers
  • 4.0.60129.0
  • NPWLPG
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • RealArcade_NPAPI_Plugin

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 6.0; en-GB; rv:1.9.2.15) Gecko/20110303 Firefox/3.6.15

More Information

cor-el
  • Top 10 Contributor
  • Moderator
10747 solutions 96719 answers

Run the plugin installer as Administrator by starting the installer via the right-click context menu (Run as Administrator) to get elevated permissions.

See:

Question owner

Thank you very much co-rel. It's so frustrating when things like this happen. I appreciate your help, wriglysyl.